



package Debian::DebConf::Log;
use Exporter;
use strict;
use vars qw(@ISA @EXPORT_OK %EXPORT_TAGS);

@ISA = qw(Exporter);
@EXPORT_OK=qw(debug warn);
%EXPORT_TAGS = (all => [@EXPORT_OK]);


sub debug {
	my $priority=shift;
	if (exists $ENV{DEBCONF_DEBUG} && $priority <= int($ENV{DEBCONF_DEBUG})) {
		print STDERR "debconf: ".join(" ", @_)."\n";
	}
}


sub warn {
	print STDERR "debconf: ".join(" ", @_)."\n";
}


1
